body {
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  min-height: 100vh;
  background: #1e1e24;
}

body > div {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.m2 {
  position: relative;
  width: 50vmin;
  height: 50vmin;
  background: linear-gradient(135deg, #1e1e24 10%, #050505 60%);
  background-size: 100% 100%; /* Fix background size to prevent it from changing on hover */
  display: flex;
  align-items: center;
  justify-content: center;
  user-select: none;
  transition: transform 0.3s ease-in-out;
}

span {
  cursor: pointer;
}

span:group-hover {
  transform: scale(1.1);
}

.m2 .logo {
  display: inline-block;
  vertical-align: baseline;
  user-select: none;
  font-size: 5vmin;
  color: white;
  background-image: linear-gradient(to right, #626262, #fff);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  text-align: center;
  font-weight: bold;
}

.m2 .logo svg {
  margin-right: -1vmin;
  width: 5vmin;
  height: 5vmin;
}

.m2::before,
.m2::after {
  --size: 5px;
  content: '';
  position: absolute;
  top: calc(var(--size) / -2);
  left: calc(var(--size) / -2);
  width: calc(100% + var(--size));
  height: calc(100% + var(--size));
  background: radial-gradient(circle at 0 0, hsl(27deg 93% 60%), transparent),
    radial-gradient(circle at 100% 0, #00a6ff, transparent),
    radial-gradient(circle at 0 100%, #ff0056, transparent),
    radial-gradient(circle at 100% 100%, #6500ff, transparent);
}

.m2::after {
  --size: 2px;
  z-index: -1;
}

.m2::before {
  --size: 10px;
  z-index: -2;
  filter: blur(2vmin);
  animation: blur-animation 3s ease-in-out alternate infinite;
}

/* Faster blur animation */
@keyframes blur-animation {
  to {
    filter: blur(3vmin);
    transform: scale(1.05);
  }
}

/* Faster gradient animation */
@keyframes gradient-shift {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
